> ## Documentation Index
> Fetch the complete documentation index at: https://developer.nomba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send payment request to terminal

> You can use this endpoint to trigger a payment request on a nomba terminal



## OpenAPI

````yaml post /v1/terminals/payment-request/{terminalId}
openapi: 3.0.1
info:
  description: ''
  title: Vendor API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.nomba.com
  - description: Sandbox
    url: https://sandbox.nomba.com
security: []
tags:
  - name: Authenticate
  - name: Accounts
  - name: Virtual Accounts
  - name: Online Checkout
  - name: Charge
  - name: Transfers
  - name: Direct Debits
  - name: Terminals
  - name: Transactions
  - name: Airtime and Data Vending
  - name: Electricity Vending
  - name: CableTV Subscription
  - name: Betting Vending
paths:
  /v1/terminals/payment-request/{terminalId}:
    post:
      tags:
        - Terminals
      summary: Send payment request to terminal
      description: >-
        You can use this endpoint to trigger a payment request on a nomba
        terminal
      operationId: Send payment request to terminal
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TerminalPaymentRequest'
        description: >-
          The request payload required to send payment request to a nomba
          terminal
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: '00'
                    description: Response Code
                  description:
                    type: string
                    example: Success
                    description: Response description
                  data:
                    $ref: '#/components/schemas/TerminalPaymentResponse'
                required:
                  - code
                  - description
                  - data
          description: OK - your request was successful.
          headers:
            X-Rate-Limit-Limit:
              description: The number of allowed requests in the current period
              schema:
                type: string
                example: '40'
            X-Rate-Limit-Remaining:
              description: The number of remaining requests in the current period
              schema:
                type: string
                example: '39'
            X-Rate-Limit-Window:
              description: The specified rate limit window
              schema:
                type: string
                example: 1s
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
          description: The request body sent by merchant did not pass the validation checks
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          description: >-
            The access_token provided to access the resource is missing or
            invalid.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizationError'
          description: The client does not have the permissions to access this resource
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordNotFoundError'
          description: The record that the client is trying to access does not exist.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: >-
            The client has maxed out the number of calls within a time period on
            this resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
          description: Downstream system error.
      security:
        - BearerAuth: []
components:
  schemas:
    TerminalPaymentRequest:
      type: object
      description: >-
        Represents a request to initiate a payment on a physical payment
        terminal.
      properties:
        merchantTxRef:
          type: string
          description: The unique identifier for the order associated with the payment.
          example: '55555555'
        amount:
          type: number
          description: >-
            The total amount to be charged on the terminal, in the smallest
            currency unit (e.g., cents, kobo).
          example: '1000'
        currency:
          type: string
          minLength: 3
          maxLength: 3
          description: Currency code based on the ISO4217 standard
          enum:
            - NGN
            - USD
            - CDF
          example: NGN
      required:
        - merchantTxRef
        - amount
        - currency
    TerminalPaymentResponse:
      type: object
      description: Represents a response to payment initialization request
      properties:
        paymentId:
          type: string
          description: Unique identifier for the payment
          example: 890022ce-bae0-45c1-9b9d-ee7872e6ca27
        status:
          type: string
          description: Current status of the payment
          enum:
            - pending
            - completed
            - failed
          example: pending
        amount:
          type: number
          description: Amount of the payment
          example: 1000
        currency:
          type: string
          description: Currency code for the payment
          example: NGN
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the payment was created
          example: '2023-08-30T14:56:59.000Z'
      required:
        - paymentId
        - status
        - amount
        - currency
        - createdAt
    RequestError:
      type: object
      description: Request Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '400'
        description:
          type: string
          description: Additional details about the error.
          example: Request failed.
    AuthenticationError:
      type: object
      description: Authentication Error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '401'
        description:
          type: string
          description: Additional details about the error.
          example: Unauthorized
    AuthorizationError:
      type: object
      description: Permissions error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '403'
        description:
          type: string
          description: Additional details about the error.
          example: Forbidden
    RecordNotFoundError:
      type: object
      description: Record-Not-Found error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '404'
        description:
          type: string
          description: Additional details about the error.
          example: Record not found
    RateLimitError:
      type: object
      description: Rate-limit error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '429'
        description:
          type: string
          description: Additional details about the error.
          example: Too many requests
    ServerError:
      type: object
      description: Server error response.
      properties:
        code:
          type: string
          description: API error code.
          example: '500'
        description:
          type: string
          description: Additional details about the error.
          example: Server error
  securitySchemes:
    BearerAuth:
      description: >-
        Nomba authenticates API calls with [OAuth2 HTTP bearer
        tokens](http://tools.ietf.org/html/rfc6750). There are two methods of
        authentication; [Client-Credentials
        method](https://www.rfc-editor.org/rfc/rfc6749) and [PKCE (Proof Key for
        Code Exchange)](https://www.rfc-editor.org/rfc/rfc7636) method. In each
        of the methods, You will get an `ACCESS_TOKEN`. You need to use an
        `"Authorization"` HTTP header to provide your `ACCESS_TOKEN`. For
        example: `Authorization: {ACCESS_TOKEN}`.
      scheme: bearer
      type: http
      bearerFormat: JWT

````